would someone please answer - will this drive work on xserve from 06 or 08? i have version 1.1, need to replace a failed adm, will this work?? tia.

  • Asked by Dylan T from Encino
  • Nov 25, 2009
QA Apple Drive Module SATA for Xserve (Early 2009)

QA Apple Drive Module SATA for Xserve (Early 2009)

Product No Longer Available

1 Answer from the Community

  • Best Answer:

    Yes, this will work in all Intel Based Xserve(s) (Late 2006-Present).

    • Answered by Ryan G from Aubrey
    • Dec 16, 2010